## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%define release_name Rawhide
%define is_rawhide 1

# Define this to 1 for Branched releases prior to RC
# or 0 for RC and stable releases
%define is_development 1

%define eol_date 2026-05-13

%define dist_version 43
%define rhel_dist_version 11

%if %{is_rawhide}
%define bug_version rawhide
%if 0%{?eln}
  %define releasever eln
%else
  %define releasever rawhide
%endif
%define doc_version rawhide
%else
%define bug_version %{dist_version}
%define releasever %{dist_version}
%define doc_version f%{dist_version}
%endif

%bcond basic %[%{undefined eln}]
%bcond cinnamon %[%{undefined eln}]
%bcond cloud %[%{undefined eln}]
%bcond compneuro %[%{undefined eln}]
%bcond container %[%{undefined eln}]
%bcond coreos %[%{undefined eln}]
%bcond designsuite %[%{undefined eln}]
%bcond eln %[%{defined eln}]
%bcond flatpak %[%{undefined eln}]
%bcond iot %[%{undefined eln}]
%bcond kde_desktop %[%{undefined eln}]
%bcond kde_mobile %[%{undefined eln}]
%bcond matecompiz %[%{undefined eln}]
%bcond server %[%{undefined eln}]
%bcond silverblue %[%{undefined eln}]
%bcond kinoite %[%{undefined eln}]
%bcond kinoite_mobile %[%{undefined eln}]
%bcond snappy %[%{undefined eln}]
%bcond soas %[%{undefined eln}]
%bcond toolbx %[%{undefined eln}]
%bcond workstation %[%{undefined eln}]
%bcond xfce %[%{undefined eln}]
%bcond i3 %[%{undefined eln}]
%bcond lxqt %[%{undefined eln}]
%bcond budgie %[%{undefined eln}]
%bcond budgie_atomic %[%{undefined eln}]
%bcond sway %[%{undefined eln}]
%bcond sway_atomic %[%{undefined eln}]
%bcond mobility %[%{undefined eln}]
%bcond miraclewm %[%{undefined eln}]
%bcond miraclewm_atomic %[%{undefined eln}]
%bcond cosmic %[%{undefined eln}]
%bcond cosmic_atomic %[%{undefined eln}]
%bcond wsl %[%{undefined eln}]

%if %{with silverblue} || %{with kinoite} || %{with kinoite_mobile} || %{with sway_atomic} || %{with budgie_atomic} || %{with miraclewm_atomic} || %{with cosmic_atomic}
%global with_ostree_desktop 1
%endif

%global dist %{?eln:.eln%{eln}}

# Changes should be submitted as pull requests under
#     https://src.fedoraproject.org/rpms/fedora-release

Summary:        Fedora release files
Name:           fedora-release
Version:        43
# The numbering is 0.<r> before a given Fedora Linux release is released,
# and then just <r>.
Release:        %autorelease %[0%{?is_development} ? "-p" : ""]
License:        MIT
URL:            https://fedoraproject.org/

Source1:        LICENSE
Source2:        Fedora-Legal-README.txt

Source10:       85-display-manager.preset
Source11:       90-default.preset
Source12:       90-default-user.preset
Source13:       99-default-disable.preset
Source14:       80-server.preset
Source15:       80-workstation.preset
Source16:       org.gnome.shell.gschema.override
Source17:       org.projectatomic.rpmostree1.rules
Source18:       80-iot.preset
Source19:       distro-template.swidtag
Source20:       distro-edition-template.swidtag
Source21:       fedora-workstation.conf
Source22:       80-coreos.preset
Source23:       zezere-ignition-url
Source24:       80-iot-user.preset
Source25:       plasma-desktop.conf
Source26:       80-kde-desktop.preset
Source27:       81-desktop.preset
Source28:       longer-default-shutdown-timeout.conf
Source29:       org.gnome.settings-daemon.plugins.power.gschema.override
Source30:       fedora-sway.conf
Source31:       20-fedora-defaults.conf
Source32:       75-eln.preset
Source33:       plasma-mobile.conf
Source34:       80-kde-mobile.preset
Source35:       fedora-miraclewm.conf
Source36:       fedora-cosmic.conf

BuildArch:      noarch

Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}

Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-basic if nothing else is already doing so.
Recommends:     fedora-release-identity-basic


BuildRequires:  redhat-rpm-config > 121-1
BuildRequires:  systemd-rpm-macros

%description
Fedora release files such as various /etc/ files that define the release
and systemd preset files that determine which services are enabled by default.
# See https://docs.fedoraproject.org/en-US/packaging-guidelines/DefaultServices/ for details.


%package common
Summary: Fedora release files

Requires:   fedora-release-variant = %{version}-%{release}
Suggests:   fedora-release

%if %{with eln}
Requires:   fedora-repos-eln = %{version}
%else
Requires:   fedora-repos(%{version})
%endif
Requires:   fedora-release-identity = %{version}-%{release}

%if %{is_rawhide}
# Make $releasever return "rawhide" on Rawhide
# and "eln" on ELN.
# https://pagure.io/releng/issue/7445
Provides:       system-release(releasever) = %{releasever}
%endif

# Fedora ships a generic-release package to make the creation of Remixes
# easier, but it cannot coexist with the fedora-release[-*] packages, so we
# will explicitly conflict with it.
Conflicts:  generic-release

# rpm-ostree count me is now enabled in 90-default.preset
Obsoletes: fedora-release-ostree-counting <= 36-0.7

%description common
Release files common to all Editions and Spins of Fedora


%if %{with basic}
%package identity-basic
Summary:        Package providing the basic Fedora identity

RemovePathPostfixes: .basic
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity


%description identity-basic
Provides the necessary files for a Fedora installation that is not identifying
itself as a particular Edition or Spin.
%endif


%if %{with cinnamon}
%package cinnamon
Summary:        Base package for Fedora Cinnamon-specific default configurations

RemovePathPostfixes: .cinnamon
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-cinnamon if nothing else is already doing so.
Recommends:     fedora-release-identity-cinnamon


%description cinnamon
Provides a base package for Fedora Cinnamon-specific configuration files to
depend on as well as Cinnamon system defaults.


%package identity-cinnamon
Summary:        Package providing the identity for Fedora Cinnamon Spin

RemovePathPostfixes: .cinnamon
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-cinnamon = %{version}-%{release}


%description identity-cinnamon
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Cinnamon.
%endif


%if %{with cloud}
%package cloud
Summary:        Base package for Fedora Cloud-specific default configurations

RemovePathPostfixes: .cloud
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-cloud if nothing else is already doing so.
Recommends:     fedora-release-identity-cloud


%description cloud
Provides a base package for Fedora Cloud-specific configuration files to
depend on.


%package identity-cloud
Summary:        Package providing the identity for Fedora Cloud Edition

RemovePathPostfixes: .cloud
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-cloud = %{version}-%{release}


%description identity-cloud
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Cloud Edition.
%endif


%if %{with compneuro}
%package compneuro
Summary:        Base package for Fedora Comp Neuro specific default configurations

RemovePathPostfixes: .compneuro
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-compneuro if nothing else is already doing so.
Recommends:     fedora-release-identity-compneuro


%description compneuro
Provides a base package for Fedora Comp Neuro specific configuration files to
depend on as well as Comp Neuro system defaults.


%package identity-compneuro
Summary:        Package providing the identity for Fedora Comp Neuro Lab

RemovePathPostfixes: .compneuro
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-compneuro = %{version}-%{release}


%description identity-compneuro
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Comp Neuro Lab.
%endif


%if %{with container}
%package container
Summary:        Base package for Fedora container specific default configurations

RemovePathPostfixes: .container
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-container if nothing else is already doing so.
Recommends:     fedora-release-identity-container


%description container
Provides a base package for Fedora container specific configuration files to
depend on as well as container system defaults.


%package identity-container
Summary:        Package providing the identity for Fedora Container Base Image

RemovePathPostfixes: .container
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-container = %{version}-%{release}


%description identity-container
Provides the necessary files for a Fedora installation that is identifying
itself as the Fedora Container Base Image.
%endif


%if %{with coreos}
%package coreos
Summary:        Base package for Fedora CoreOS-specific default configurations

RemovePathPostfixes: .coreos
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-coreos if nothing else is already doing so.
Recommends:     fedora-release-identity-coreos


%description coreos
Provides a base package for Fedora CoreOS Host-specific configuration files to
depend.


%package identity-coreos
Summary:        Package providing the identity for Fedora CoreOS

RemovePathPostfixes: .coreos
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-coreos = %{version}-%{release}


%description identity-coreos
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora CoreOS.
%endif


%if %{with designsuite}
%package designsuite
Summary:        Base package for Fedora Design Suite specific default configurations

RemovePathPostfixes: .designsuite
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Provides:       system-release-product

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-designsuite if nothing else is already doing so.
Recommends:     fedora-release-identity-designsuite


%description designsuite
Provides a base package for Fedora Design Suite specific configuration files to
depend on.


%package identity-designsuite
Summary:        Package providing the identity for Fedora Design Suite Lab

RemovePathPostfixes: .designsuite
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-designsuite = %{version}-%{release}


%description identity-designsuite
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Design Suite Lab.
%endif


%if %{with eln}
%package eln
Summary:        Base package for Fedora ELN specific default configurations

RemovePathPostfixes: .eln
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Provides:       system-release-product
Requires:       fedora-repos-eln

Obsoletes:      redhat-release
Provides:       redhat-release

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-eln if nothing else is already doing so.
Recommends:     fedora-release-identity-eln


%description eln
Provides a base package for Fedora ELN specific configuration files to
depend on.


%package identity-eln
Summary:        Package providing the identity for Fedora ELN

# When running a compose for ELN, we want to make sure that we pull in the
# correct templates when lorax is installed. This Suggests: will clue
# libdnf to use this set of templates instead of lorax-templates-generic.
Suggests: lorax-templates-rhel

# Both netcat and nmap-ncat provide /usr/bin/nc, so prefer the latter like
# RHEL does.
Suggests: nmap-ncat

# Prefer over original standalone versions (without pipewire- prefix)
Suggests: pipewire-jack-audio-connection-kit
Suggests: pipewire-jack-audio-connection-kit-devel
Suggests: pipewire-pulseaudio

# Prefer over Lmod for Provides: environment(modules)
Suggests: environment-modules

# Prefer over elinks, w3m for Provides: text-www-browser
Suggests: lynx

# Prefer over bind9-next and its subpackages
Suggests: bind
Suggests: bind-devel
Suggests: bind-dnssec-utils
Suggests: bind-utils

# Default OpenJDK version, prefer over other versions for
# Provides: java, java-devel, java-headless, maven-jdk-binding, etc.
Suggests: java-21-openjdk
Suggests: java-21-openjdk-devel
Suggests: java-21-openjdk-headless
Suggests: maven-openjdk21

# Prefer over Fedora freeipa (same code, different name, each Provides the other)
Suggests: ipa-client
Suggests: ipa-client-common
Suggests: ipa-client-epn
Suggests: ipa-client-samba
Suggests: ipa-common
Suggests: ipa-selinux
Suggests: ipa-server
Suggests: ipa-server-common
Suggests: ipa-server-dns
Suggests: ipa-server-trust-ad
Suggests: ipa-healthcheck
Suggests: ipa-healthcheck-core

# Prefer over exim, opensmtpd, sendmail for Provides: MTA smtpd smtpdaemon server(smtp)
Suggests: postfix

# Prefer over cdrkit/genisoimage for /usr/bin/mkisofs
Suggests: xorriso

# Prefer over sdubby which also Provides: grubby
Suggests: grubby

# Prefer over arptables-legacy, ebtables-legacy, and iptables-legacy
# for Provides: arptables-helper, ebtables, or iptables
Suggests: iptables-nft

# Prefer over blis for libblas*.so.3()(64bit)
Suggests: blas
Suggests: blas64

RemovePathPostfixes: .eln
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-eln = %{version}-%{release}


%description identity-eln
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora ELN.
%endif


%if %{with flatpak}
%package flatpak
Summary:        Base package for Fedora flatpak specific default configurations

RemovePathPostfixes: .flatpak
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-flatpak if nothing else is already doing so.
Recommends:     fedora-release-identity-flatpak


%description flatpak
Provides a base package for Fedora flatpak specific configuration files to
depend on as well as flatpak system defaults.


%package identity-flatpak
Summary:        Package providing the identity for Fedora Flatpak Runtime Image

RemovePathPostfixes: .flatpak
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-flatpak = %{version}-%{release}

# gnuplot requires qt6, gnuplot-wx requires gtk3 (available in all runtimes)
Suggests:       (gnuplot if qt6-qtbase else gnuplot-wx)
# default backend included in runtime
Suggests:       qt6-qtspeech-speechd


%description identity-flatpak
Provides the necessary files for a Fedora installation that is identifying
itself as the Fedora Flatpak Runtime Image.
%endif


%if %{with iot}
%package iot
Summary:        Base package for Fedora IoT specific default configurations

RemovePathPostfixes: .iot
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires(meta): fedora-iot-config

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-iot if nothing else is already doing so.
Recommends:     fedora-release-identity-iot


%description iot
Provides a base package for Fedora IoT specific configuration files to
depend on as well as IoT system defaults.


%package identity-iot
Summary:        Package providing the identity for Fedora IoT Edition

RemovePathPostfixes: .iot
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-iot = %{version}-%{release}


%description identity-iot
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora IoT Edition.
%endif


%if %{with kde_desktop}
%package kde-desktop
Summary:        Base package for Fedora KDE Plasma Desktop-specific default configurations

RemovePathPostfixes: .kde-desktop
Obsoletes:      %{name}-kde < 43-0.9
Provides:       %{name}-kde = %{version}-%{release}
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-kde if nothing else is already doing so.
Recommends:     fedora-release-identity-kde-desktop


%description kde-desktop
Provides a base package for Fedora KDE Plasma Desktop-specific configuration
files to depend on as well as KDE Plasma Desktop system defaults.


%package identity-kde-desktop
Summary:        Package providing the identity for Fedora KDE Plasma Desktop Edition

RemovePathPostfixes: .kde-desktop
Obsoletes:      %{name}-identity-kde < 43-0.9
Provides:       %{name}-identity-kde = %{version}-%{release}
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-kde-desktop = %{version}-%{release}


%description identity-kde-desktop
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora KDE Plasma Desktop Edition.
%endif

%if %{with kde_mobile}
%package kde-mobile
Summary:        Base package for Fedora KDE Plasma Mobile specific default configurations

RemovePathPostfixes: .kde-mobile
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-kde-mobile if nothing else is already doing so.
Recommends:     fedora-release-identity-kde-mobile


%description kde-mobile
Provides a base package for Fedora KDE Plasma Mobile specific configuration files to
depend on as well as KDE Plasma Mobile system defaults.


%package identity-kde-mobile
Summary:        Package providing the identity for Fedora KDE Plasma Mobile Spin

RemovePathPostfixes: .kde-mobile
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-kde-mobile = %{version}-%{release}


%description identity-kde-mobile
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora KDE Plasma Mobile Spin.
%endif

%if %{with matecompiz}
%package matecompiz
Summary:        Base package for Fedora MATE-Compiz-specific default configurations

RemovePathPostfixes: .matecompiz
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-matecompiz if nothing else is already doing so.
Recommends:     fedora-release-identity-matecompiz


%description matecompiz
Provides a base package for Fedora MATE-compiz-specific configuration files to
depend on as well as MATE-Compiz system defaults.


%package identity-matecompiz
Summary:        Package providing the identity for Fedora MATE-Compiz Spin

RemovePathPostfixes: .matecompiz
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-matecompiz = %{version}-%{release}


%description identity-matecompiz
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora MATE-Compiz.
%endif


%if %{with server}
%package server
Summary:        Base package for Fedora Server-specific default configurations

RemovePathPostfixes: .server
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-server if nothing else is already doing so.
Recommends:     fedora-release-identity-server


%description server
Provides a base package for Fedora Server-specific configuration files to
depend on.


%package identity-server
Summary:        Package providing the identity for Fedora Server Edition

RemovePathPostfixes: .server
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-server = %{version}-%{release}


%description identity-server
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Server Edition.
%endif


%if %{with silverblue}
%package silverblue
Summary:        Base package for Fedora Silverblue-specific default configurations

RemovePathPostfixes: .silverblue
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-silverblue if nothing else is already doing so.
Recommends:     fedora-release-identity-silverblue


%description silverblue
Provides a base package for Fedora Silverblue-specific configuration files to
depend on as well as Silverblue system defaults.


%package identity-silverblue
Summary:        Package providing the identity for Fedora Silverblue

RemovePathPostfixes: .silverblue
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-silverblue = %{version}-%{release}


%description identity-silverblue
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Silverblue.
%endif


%if %{with kinoite}
%package kinoite
Summary:        Base package for Fedora Kinoite-specific default configurations

RemovePathPostfixes: .kinoite
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-kinoite if nothing else is already doing so.
Recommends:     fedora-release-identity-kinoite


%description kinoite
Provides a base package for Fedora Kinoite-specific configuration files to
depend on as well as Kinoite system defaults.


%package identity-kinoite
Summary:        Package providing the identity for Fedora Kinoite

RemovePathPostfixes: .kinoite
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-kinoite = %{version}-%{release}


%description identity-kinoite
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Kinoite.
%endif

%if %{with kinoite_mobile}
%package kinoite-mobile
Summary:        Base package for Fedora Kinoite Mobile specific default configurations

RemovePathPostfixes: .kinoite-mobile
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-kinoite-mobile if nothing else is already doing so.
Recommends:     fedora-release-identity-kinoite-mobile


%description kinoite-mobile
Provides a base package for Fedora Kinoite Mobile specific configuration files to
depend on as well as Kinoite Mobile system defaults.


%package identity-kinoite-mobile
Summary:        Package providing the identity for Fedora Kinoite Mobile.

RemovePathPostfixes: .kinoite-mobile
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-kinoite-mobile = %{version}-%{release}


%description identity-kinoite-mobile
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Kinoite Mobile.
%endif

%if %{with ostree_desktop}
%package ostree-desktop
Summary:        Configuration package for rpm-ostree variants to add rpm-ostree polkit rules

%description ostree-desktop
Configuration package for rpm-ostree variants to add rpm-ostree polkit rules
%endif


%if %{with snappy}
%package snappy
Summary:        Base package for Fedora snap specific default configurations

RemovePathPostfixes: .snappy
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-snappy if nothing else is already doing so.
Recommends:     fedora-release-identity-snappy


%description snappy
Provides a base package for Fedora snap specific configuration files to
depend on as well as Snappy system defaults.


%package identity-snappy
Summary:        Package providing the identity for Fedora Snappy environments

RemovePathPostfixes: .snappy
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-snappy = %{version}-%{release}


%description identity-snappy
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora's snappy environment.
%endif


%if %{with soas}
%package soas
Summary:        Base package for Fedora Sugar on a Stick-specific default configurations

RemovePathPostfixes: .soas
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-soas if nothing else is already doing so.
Recommends:     fedora-release-identity-soas


%description soas
Provides a base package for Fedora Sugar on a Stick-specific configuration
files to depend on as well as SoaS system defaults.


%package identity-soas
Summary:        Package providing the identity for Fedora Sugar on a Stick

RemovePathPostfixes: .soas
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-soas = %{version}-%{release}


%description identity-soas
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Sugar on a Stick.
%endif


%if %{with toolbx}
%package toolbx
Summary:        Base package for Fedora Toolbx container specific default configurations

RemovePathPostfixes: .toolbx
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-toolbx if nothing else is already doing so.
Recommends:     fedora-release-identity-toolbx


%description toolbx
Provides a base package for Fedora Toolbx container specific configuration files to
depend on as well as Toolbx container system defaults.


%package identity-toolbx
Summary:        Package providing the identity for Fedora Toolbx container image

RemovePathPostfixes: .toolbx
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-toolbx = %{version}-%{release}


%description identity-toolbx
Provides the necessary files for a Fedora installation that is identifying
itself as the Fedora Toolbx container image.
%endif

%if %{with workstation}
%package workstation
Summary:        Base package for Fedora Workstation-specific default configurations

RemovePathPostfixes: .workstation
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Provides:       system-release-product

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-workstation if nothing else is already doing so.
Recommends:     fedora-release-identity-workstation


%description workstation
Provides a base package for Fedora Workstation-specific configuration files to
depend on.


%package identity-workstation
Summary:        Package providing the identity for Fedora Workstation Edition

RemovePathPostfixes: .workstation
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-workstation = %{version}-%{release}


%description identity-workstation
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Workstation Edition.
%endif


%if %{with xfce}
%package xfce
Summary:        Base package for Fedora Xfce specific default configurations

RemovePathPostfixes: .xfce
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-xfce if nothing else is already doing so.
Recommends:     fedora-release-identity-xfce


%description xfce
Provides a base package for Fedora Xfce specific configuration files to
depend on as well as Xfce system defaults.


%package identity-xfce
Summary:        Package providing the identity for Fedora Xfce Spin

RemovePathPostfixes: .xfce
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-xfce = %{version}-%{release}


%description identity-xfce
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Xfce.
%endif


%if %{with i3}
%package i3
Summary:        Base package for Fedora i3 specific default configurations

RemovePathPostfixes: .i3
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-i3 if nothing else is already doing so.
Recommends:     fedora-release-identity-i3


%description i3
Provides a base package for Fedora i3 specific configuration files to
depend on.


%package identity-i3
Summary:        Package providing the identity for Fedora i3 Spin

RemovePathPostfixes: .i3
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-i3 = %{version}-%{release}


%description identity-i3
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora i3.
%endif


%if %{with lxqt}
%package lxqt
Summary:        Base package for Fedora LXQt specific default configurations

RemovePathPostfixes: .lxqt
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-lxqt if nothing else is already doing so.
Recommends:     fedora-release-identity-lxqt


%description lxqt
Provides a base package for Fedora LXQt specific configuration files to
depend on as well as LXQt system defaults.


%package identity-lxqt
Summary:        Package providing the identity for Fedora LXQt Spin

RemovePathPostfixes: .lxqt
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-lxqt = %{version}-%{release}


%description identity-lxqt
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora LXQt.
%endif

%if %{with budgie}
%package budgie
Summary:        Base package for Fedora Budgie specific default configurations

RemovePathPostfixes: .budgie
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-budgie if nothing else is already doing so.
Recommends:     fedora-release-identity-budgie


%description budgie
Provides a base package for Fedora Budgie specific configuration files to
depend on as well as Budgie system defaults.


%package identity-budgie
Summary:        Package providing the identity for Fedora Budgie Spin

RemovePathPostfixes: .budgie
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-budgie = %{version}-%{release}


%description identity-budgie
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Budgie.
%endif


%if %{with sway}
%package sway
Summary:        Base package for Fedora Sway specific default configurations

RemovePathPostfixes: .sway
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-sway if nothing else is already doing so.
Recommends:     fedora-release-identity-sway


%description sway
Provides a base package for Fedora Sway specific configuration files to
depend on.


%package identity-sway
Summary:        Package providing the identity for Fedora Sway Spin

RemovePathPostfixes: .sway
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-sway = %{version}-%{release}


%description identity-sway
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Sway.
%endif


%if %{with sway_atomic}
%package sway-atomic
Summary:        Base package for Fedora Sway Atomic specific default configurations

RemovePathPostfixes: .sway-atomic
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-sway-atomic if nothing else is already doing so.
Recommends:     fedora-release-identity-sway-atomic


%description sway-atomic
Provides a base package for Fedora Sway Atomic specific configuration
files to depend on.


%package identity-sway-atomic
Summary:        Package providing the identity for Fedora Sway Atomic

RemovePathPostfixes: .sway-atomic
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-sway-atomic = %{version}-%{release}


%description identity-sway-atomic
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Sway Atomic.
%endif

%if %{with budgie_atomic}
%package budgie-atomic
Summary:        Base package for Fedora Budgie Atomic specific default configurations

RemovePathPostfixes: .budgie-atomic
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-budgie-atomic if nothing else is already doing so.
Recommends:     fedora-release-identity-budgie-atomic


%description budgie-atomic
Provides a base package for Fedora Budgie Atomic specific configuration
files to depend on.


%package identity-budgie-atomic
Summary:        Package providing the identity for Fedora Budgie Atomic

RemovePathPostfixes: .budgie-atomic
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-budgie-atomic = %{version}-%{release}


%description identity-budgie-atomic
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Budgie Atomic.
%endif


%if %{with mobility}
%package mobility
Summary:        Base package for Fedora Mobility specific default configurations

RemovePathPostfixes: .mobility
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-mobility if nothing else is already doing so.
Recommends:     fedora-release-identity-mobility


%description mobility
Provides a base package for Fedora Mobility specific configuration
files to depend on.


%package identity-mobility
Summary:        Package providing the identity for Fedora Mobility

RemovePathPostfixes: .mobility
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-mobility = %{version}-%{release}


%description identity-mobility
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Mobility.
%endif

%if %{with miraclewm}
%package miraclewm
Summary:        Base package for Fedora MiracleWM specific default configurations

RemovePathPostfixes: .miraclewm
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-miraclewm if nothing else is already doing so.
Recommends:     fedora-release-identity-miraclewm


%description miraclewm
Provides a base package for Fedora Miracle Window Manager specific configuration
files to depend on.


%package identity-miraclewm
Summary:        Package providing the identity for Fedora MiracleWM Spin

RemovePathPostfixes: .miraclewm
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-miraclewm = %{version}-%{release}


%description identity-miraclewm
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Miracle Window Manager.
%endif


%if %{with miraclewm_atomic}
%package miraclewm-atomic
Summary:        Base package for Fedora MiracleWM Atomic specific default configurations

RemovePathPostfixes: .miraclewm-atomic
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-miraclewm-atomic if nothing else is already doing so.
Recommends:     fedora-release-identity-miraclewm-atomic


%description miraclewm-atomic
Provides a base package for Fedora Miracle Window Manager Atomic specific
configuration files to depend on.


%package identity-miraclewm-atomic
Summary:        Package providing the identity for Fedora MiracleWM Atomic

RemovePathPostfixes: .miraclewm-atomic
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-miraclewm-atomic = %{version}-%{release}


%description identity-miraclewm-atomic
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora Miracle Window Manager Atomic.
%endif


%if %{with cosmic}
%package cosmic
Summary:        Base package for Fedora COSMIC specific default configurations

RemovePathPostfixes: .cosmic
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-cosmic if nothing else is already doing so.
Recommends:     fedora-release-identity-cosmic


%description cosmic
Provides a base package for Fedora COSMIC specific configuration
files to depend on.


%package identity-cosmic
Summary:        Package providing the identity for Fedora COSMIC Spin

RemovePathPostfixes: .cosmic
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-cosmic = %{version}-%{release}


%description identity-cosmic
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora COSMIC.
%endif


%if %{with cosmic_atomic}
%package cosmic-atomic
Summary:        Base package for Fedora COSMIC Atomic specific default configurations

RemovePathPostfixes: .cosmic-atomic
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}
Requires:       fedora-release-ostree-desktop = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-cosmic-atomic if nothing else is already doing so.
Recommends:     fedora-release-identity-cosmic-atomic


%description cosmic-atomic
Provides a base package for Fedora COSMIC Atomic specific
configuration files to depend on.


%package identity-cosmic-atomic
Summary:        Package providing the identity for Fedora COSMIC Atomic

RemovePathPostfixes: .cosmic-atomic
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-cosmic-atomic = %{version}-%{release}


%description identity-cosmic-atomic
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora COSMIC Atomic.
%endif

%if %{with wsl}
%package wsl
Summary:        Base package for Fedora WSL specific default configurations

RemovePathPostfixes: .wsl
Provides:       fedora-release = %{version}-%{release}
Provides:       fedora-release-variant = %{version}-%{release}
Provides:       system-release
Provides:       system-release(%{version})
Requires:       fedora-release-common = %{version}-%{release}

# fedora-release-common Requires: fedora-release-identity, so at least one
# package must provide it. This Recommends: pulls in
# fedora-release-identity-wsl if nothing else is already doing so.
Recommends:     fedora-release-identity-wsl


%description wsl
Provides a base package for Fedora WSL specific configuration files to
depend on as well as WSL system defaults.


%package identity-wsl
Summary:        Package providing the identity for Fedora WSL.

RemovePathPostfixes: .wsl
Provides:       fedora-release-identity = %{version}-%{release}
Conflicts:      fedora-release-identity
Requires(meta): fedora-release-container = %{version}-%{release}


%description identity-wsl
Provides the necessary files for a Fedora installation that is identifying
itself as Fedora WSL.
%endif

%prep
mkdir -p licenses
sed 's|@@VERSION@@|%{dist_version}|g' %{SOURCE2} >licenses/Fedora-Legal-README.txt

%build

%install
install -d %{buildroot}%{_prefix}/lib
echo "Fedora release %{version} (%{release_name})" > %{buildroot}%{_prefix}/lib/fedora-release
echo "cpe:/o:fedoraproject:fedora:%{version}" > %{buildroot}%{_prefix}/lib/system-release-cpe

# Symlink the -release files
install -d %{buildroot}%{_sysconfdir}
ln -s ../usr/lib/fedora-release %{buildroot}%{_sysconfdir}/fedora-release
ln -s ../usr/lib/system-release-cpe %{buildroot}%{_sysconfdir}/system-release-cpe
ln -s fedora-release %{buildroot}%{_sysconfdir}/redhat-release
ln -s fedora-release %{buildroot}%{_sysconfdir}/system-release

# Create the common os-release file
%{lua:
  function starts_with(str, start)
   return str:sub(1, #start) == start
  end
}
%define starts_with(str,prefix) (%{expand:%%{lua:print(starts_with(%1, %2) and "1" or "0")}})
%if %{starts_with "a%{release}" "a0"}
  %global prerelease \ Prerelease
%endif

# -------------------------------------------------------------------------
# Definitions for /etc/os-release and for macros in macros.dist.  These
# macros are useful for spec files where distribution-specific identifiers
# are used to customize packages.

# Name of vendor / name of distribution. Typically used to identify where
# the binary comes from in --help or --version messages of programs.
# Examples: gdb.spec, clang.spec
%global dist_vendor Fedora
%global dist_name   Fedora Linux

# URL of the homepage of the distribution
# Example: gstreamer1-plugins-base.spec
%global dist_home_url https://fedoraproject.org/

# Bugzilla / bug reporting URLs shown to users.
# Examples: gcc.spec
%global dist_bug_report_url https://bugzilla.redhat.com/

# debuginfod server, as used in elfutils.spec.
%global dist_debuginfod_url ima:enforcing https://debuginfod.fedoraproject.org/ ima:ignore
# -------------------------------------------------------------------------

# Set the RELEASE_TYPE appropriately
%define release_type %[0%{?is_development} ? "development" : "stable"]

cat <<EOF >os-release
NAME="%{dist_name}"
VERSION="%{dist_version} (%{release_name}%{?prerelease})"
RELEASE_TYPE=%{release_type}
ID=fedora
VERSION_ID=%{dist_version}
VERSION_CODENAME=""
PLATFORM_ID="platform:f%{dist_version}"
PRETTY_NAME="Fedora Linux %{dist_version} (%{release_name}%{?prerelease})"
ANSI_COLOR="0;38;2;60;110;180"
LOGO=fedora-logo-icon
CPE_NAME="cpe:/o:fedoraproject:fedora:%{dist_version}"
DEFAULT_HOSTNAME="fedora"
HOME_URL="%{dist_home_url}"
DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/%{doc_version}/system-administrators-guide/"
SUPPORT_URL="https://ask.fedoraproject.org/"
BUG_REPORT_URL="%{dist_bug_report_url}"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=%{bug_version}
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=%{bug_version}
SUPPORT_END=%{eol_date}
EOF

# Create the common /etc/issue
echo "\S" > %{buildroot}%{_prefix}/lib/issue
echo "Kernel \r on \m (\l)" >> %{buildroot}%{_prefix}/lib/issue
echo >> %{buildroot}%{_prefix}/lib/issue
ln -s ../usr/lib/issue %{buildroot}%{_sysconfdir}/issue

# Create /etc/issue.net
echo "\S" > %{buildroot}%{_prefix}/lib/issue.net
echo "Kernel \r on \m (\l)" >> %{buildroot}%{_prefix}/lib/issue.net
ln -s ../usr/lib/issue.net %{buildroot}%{_sysconfdir}/issue.net

# Create /etc/issue.d
mkdir -p %{buildroot}%{_sysconfdir}/issue.d

mkdir -p %{buildroot}%{_swidtagdir}

# Create os-release files for the different editions

%if %{with basic}
# Basic
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.basic
%endif

%if %{with cinnamon}
# Cinnamon
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.cinnamon
echo "VARIANT=\"Cinnamon\"" >> %{buildroot}%{_prefix}/lib/os-release.cinnamon
echo "VARIANT_ID=cinnamon" >> %{buildroot}%{_prefix}/lib/os-release.cinnamon
sed -i -e "s|(%{release_name}%{?prerelease})|(Cinnamon%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.cinnamon
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Cinnamon/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cinnamon
%endif

%if %{with cloud}
# Cloud
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.cloud
echo "VARIANT=\"Cloud Edition\"" >> %{buildroot}%{_prefix}/lib/os-release.cloud
echo "VARIANT_ID=cloud" >> %{buildroot}%{_prefix}/lib/os-release.cloud
sed -i -e "s|(%{release_name}%{?prerelease})|(Cloud Edition%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.cloud
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Cloud/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cloud
sed -i -e "/^DEFAULT_HOSTNAME=/d" %{buildroot}%{_prefix}/lib/os-release.cloud
%endif

%if %{with compneuro}
# Comp Neuro
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.compneuro
echo "VARIANT=\"Comp Neuro\"" >> %{buildroot}%{_prefix}/lib/os-release.compneuro
echo "VARIANT_ID=compneuro" >> %{buildroot}%{_prefix}/lib/os-release.compneuro
sed -i -e "s|(%{release_name}%{?prerelease})|(CompNeuro%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.compneuro
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://neuro.fedoraproject.org"|' %{buildroot}%{_prefix}/lib/os-release.compneuro
sed -i -e 's|HOME_URL=.*|HOME_URL="https://labs.fedoraproject.org"|' %{buildroot}/%{_prefix}/lib/os-release.compneuro
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/CompNeuro/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.compneuro
%endif

%if %{with container}
# Container
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.container
echo "VARIANT=\"Container Image\"" >> %{buildroot}%{_prefix}/lib/os-release.container
echo "VARIANT_ID=container" >> %{buildroot}%{_prefix}/lib/os-release.container
sed -i -e "s|(%{release_name}%{?prerelease})|(Container Image%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.container
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Container/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.container
%endif

%if %{with coreos}
# CoreOS
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.coreos
echo "VARIANT=\"CoreOS\"" >> %{buildroot}%{_prefix}/lib/os-release.coreos
echo "VARIANT_ID=coreos" >> %{buildroot}%{_prefix}/lib/os-release.coreos
sed -i -e "s|(%{release_name}%{?prerelease})|(CoreOS%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.coreos
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-coreos/"|' %{buildroot}%{_prefix}/lib/os-release.coreos
sed -i -e 's|HOME_URL=.*|HOME_URL="https://getfedora.org/coreos/"|' %{buildroot}/%{_prefix}/lib/os-release.coreos
sed -i -e 's|SUPPORT_URL=.*|SUPPORT_URL="https://github.com/coreos/fedora-coreos-tracker/"|' %{buildroot}/%{_prefix}/lib/os-release.coreos
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://github.com/coreos/fedora-coreos-tracker/"|' %{buildroot}/%{_prefix}/lib/os-release.coreos
sed -i -e 's|PRETTY_NAME=.*|PRETTY_NAME="Fedora CoreOS %{dist_version}"|' %{buildroot}/%{_prefix}/lib/os-release.coreos
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/CoreOS/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.coreos
sed -i -e "/^DEFAULT_HOSTNAME=/d" %{buildroot}%{_prefix}/lib/os-release.coreos
install -Dm0644 %{SOURCE22} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE28} -t %{buildroot}%{_prefix}/lib/systemd/system.conf.d/
install -Dm0644 %{SOURCE28} -t %{buildroot}%{_prefix}/lib/systemd/user.conf.d/
%endif


%if %{with designsuite}
# Design Suite
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.designsuite
echo "VARIANT=\"Design Suite\"" >> %{buildroot}%{_prefix}/lib/os-release.designsuite
echo "VARIANT_ID=designsuite" >> %{buildroot}%{_prefix}/lib/os-release.designsuite
sed -i -e "s|(%{release_name}%{?prerelease})|(Design Suite%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.designsuite
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://fedoraproject.org/wiki/Design_Suite"|' %{buildroot}%{_prefix}/lib/os-release.designsuite
sed -i -e 's|HOME_URL=.*|HOME_URL="https://labs.fedoraproject.org"|' %{buildroot}/%{_prefix}/lib/os-release.designsuite
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/DesignSuite/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.designsuite
%endif

%if %{with eln}
# ELN
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.eln
echo "VARIANT=\"ELN\"" >> %{buildroot}%{_prefix}/lib/os-release.eln
echo "VARIANT_ID=eln" >> %{buildroot}%{_prefix}/lib/os-release.eln
sed -i -e 's|PLATFORM_ID=.*|PLATFORM_ID="platform:eln"|' %{buildroot}/%{_prefix}/lib/os-release.eln
sed -i -e 's|PRETTY_NAME=.*|PRETTY_NAME="Fedora ELN"|' %{buildroot}/%{_prefix}/lib/os-release.eln
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/eln/"|' %{buildroot}%{_prefix}/lib/os-release.eln
sed -i -e "/^DEFAULT_HOSTNAME=/d" %{buildroot}%{_prefix}/lib/os-release.eln
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/ELN/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.eln

# ELN installs the Server presets as well
install -Dm0644 %{SOURCE14} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/

# ELN may override some presets from Fedora to simplify branching for CentOS Stream
install -Dm0644 %{SOURCE32} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
%endif

%if %{with flatpak}
# Flatpak
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.flatpak
echo "VARIANT=\"Flatpak runtime\"" >> %{buildroot}%{_prefix}/lib/os-release.flatpak
echo "VARIANT_ID=flatpak" >> %{buildroot}%{_prefix}/lib/os-release.flatpak
sed -i -e "s|(%{release_name}%{?prerelease})|(Flatpak runtime%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.flatpak
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/flatpak/"|' %{buildroot}%{_prefix}/lib/os-release.flatpak
sed -i -e 's|SUPPORT_URL=.*|SUPPORT_URL="https://gitlab.com/fedora/sigs/flatpak/fedora-flatpaks/-/issues"|' %{buildroot}/%{_prefix}/lib/os-release.flatpak
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://gitlab.com/fedora/sigs/flatpak/fedora-flatpaks/-/issues"|' %{buildroot}/%{_prefix}/lib/os-release.flatpak
sed -i -e 's|PRETTY_NAME=.*|PRETTY_NAME="Fedora %{dist_version} (Flatpak runtime)"|' %{buildroot}/%{_prefix}/lib/os-release.flatpak
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Flatpak/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.flatpak
%endif

%if %{with iot}
# IoT
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.iot
echo "VARIANT=\"IoT Edition\"" >> %{buildroot}%{_prefix}/lib/os-release.iot
echo "VARIANT_ID=iot" >> %{buildroot}%{_prefix}/lib/os-release.iot
sed -i -e "s|(%{release_name}%{?prerelease})|(IoT Edition%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.iot
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/IoT/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.iot
sed -i -e "/^DEFAULT_HOSTNAME=/d" %{buildroot}%{_prefix}/lib/os-release.iot
install -p %{SOURCE23} %{buildroot}/%{_prefix}/lib/
install -Dm0644 %{SOURCE18} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE24} -t %{buildroot}%{_prefix}/lib/systemd/user-preset/
%endif

%if %{with kde_desktop}
# KDE Plasma Desktop
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.kde-desktop
echo "VARIANT=\"KDE Plasma Desktop Edition\"" >> %{buildroot}%{_prefix}/lib/os-release.kde-desktop
# kept as-is from the spin to prevent third-party stuff from breaking
echo "VARIANT_ID=kde" >> %{buildroot}%{_prefix}/lib/os-release.kde-desktop
sed -i -e "s|(%{release_name}%{?prerelease})|(KDE Plasma Desktop Edition%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.kde-desktop
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/KDE Desktop/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kde-desktop
# Add plasma-desktop to dnf protected packages list for KDE Desktop
install -Dm0644 %{SOURCE25} -t %{buildroot}%{_sysconfdir}/dnf/protected.d/
%endif

%if %{with kde_mobile}
# KDE Plasma Mobile
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.kde-mobile
echo "VARIANT=\"KDE Plasma Mobile\"" >> %{buildroot}%{_prefix}/lib/os-release.kde-mobile
echo "VARIANT_ID=kde-mobile" >> %{buildroot}%{_prefix}/lib/os-release.kde-mobile
sed -i -e "s|(%{release_name}%{?prerelease})|(KDE Plasma Mobile%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.kde-mobile
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/KDE Mobile/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kde-mobile
# Add plasma-mobile to dnf protected packages list for KDE  Mobile
install -Dm0644 %{SOURCE33} -t %{buildroot}%{_sysconfdir}/dnf/protected.d/
%endif

%if %{with matecompiz}
# MATE-Compiz
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.matecompiz
echo "VARIANT=\"MATE-Compiz\"" >> %{buildroot}%{_prefix}/lib/os-release.matecompiz
echo "VARIANT_ID=matecompiz" >> %{buildroot}%{_prefix}/lib/os-release.matecompiz
sed -i -e "s|(%{release_name}%{?prerelease})|(MATE-Compiz%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.matecompiz
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/MATE-Compiz/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.matecompiz
%endif

%if %{with server}
# Server
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.server
echo "VARIANT=\"Server Edition\"" >> %{buildroot}%{_prefix}/lib/os-release.server
echo "VARIANT_ID=server" >> %{buildroot}%{_prefix}/lib/os-release.server
sed -i -e "s|(%{release_name}%{?prerelease})|(Server Edition%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.server
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Server/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.server
sed -i -e "/^DEFAULT_HOSTNAME=/d" %{buildroot}%{_prefix}/lib/os-release.server
install -Dm0644 %{SOURCE14} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE29} -t %{buildroot}%{_datadir}/glib-2.0/schemas/
install -Dm0644 %{SOURCE28} -t %{buildroot}%{_prefix}/lib/systemd/system.conf.d/
install -Dm0644 %{SOURCE28} -t %{buildroot}%{_prefix}/lib/systemd/user.conf.d/
%endif

%if %{with silverblue}
# Silverblue
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.silverblue
echo "VARIANT=\"Silverblue\"" >> %{buildroot}%{_prefix}/lib/os-release.silverblue
echo "VARIANT_ID=silverblue" >> %{buildroot}%{_prefix}/lib/os-release.silverblue
sed -i -e "s|(%{release_name}%{?prerelease})|(Silverblue%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.silverblue
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-silverblue/"|' %{buildroot}%{_prefix}/lib/os-release.silverblue
sed -i -e 's|HOME_URL=.*|HOME_URL="https://silverblue.fedoraproject.org"|' %{buildroot}/%{_prefix}/lib/os-release.silverblue
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://github.com/fedora-silverblue/issue-tracker/issues"|' %{buildroot}/%{_prefix}/lib/os-release.silverblue
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Silverblue/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.silverblue
%endif

%if %{with kinoite}
# Kinoite
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.kinoite
echo "VARIANT=\"Kinoite\"" >> %{buildroot}%{_prefix}/lib/os-release.kinoite
echo "VARIANT_ID=kinoite" >> %{buildroot}%{_prefix}/lib/os-release.kinoite
sed -i -e "s|(%{release_name}%{?prerelease})|(Kinoite%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.kinoite
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-kinoite/"|' %{buildroot}%{_prefix}/lib/os-release.kinoite
sed -i -e 's|HOME_URL=.*|HOME_URL="https://kinoite.fedoraproject.org"|' %{buildroot}/%{_prefix}/lib/os-release.kinoite
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-kde/SIG/issues"|' %{buildroot}/%{_prefix}/lib/os-release.kinoite
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Kinoite/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kinoite
%endif

%if %{with kinoite_mobile}
# Kinoite Mobile
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.kinoite-mobile
echo "VARIANT=\"Kinoite Mobile\"" >> %{buildroot}%{_prefix}/lib/os-release.kinoite-mobile
echo "VARIANT_ID=kinoite-mobile" >> %{buildroot}%{_prefix}/lib/os-release.kinoite-mobile
sed -i -e "s|(%{release_name}%{?prerelease})|(Kinoite Mobile%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.kinoite-mobile
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-kinoite/"|' %{buildroot}%{_prefix}/lib/os-release.kinoite-mobile
sed -i -e 's|HOME_URL=.*|HOME_URL="https://kinoite.fedoraproject.org"|' %{buildroot}/%{_prefix}/lib/os-release.kinoite-mobile
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-kde/SIG/issues"|' %{buildroot}/%{_prefix}/lib/os-release.kinoite-mobile
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Kinoite Mobile/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kinoite-mobile
%endif

%if %{with snappy}
# Snappy
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.snappy
echo "VARIANT=\"Snappy\"" >> %{buildroot}%{_prefix}/lib/os-release.snappy
echo "VARIANT_ID=snappy" >> %{buildroot}%{_prefix}/lib/os-release.snappy
sed -i -e "s|(%{release_name}%{?prerelease})|(Snappy%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.snappy
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Snappy/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.snappy
%endif

%if %{with soas}
# Sugar on a Stick
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.soas
echo "VARIANT=\"Sugar on a Stick\"" >> %{buildroot}%{_prefix}/lib/os-release.soas
echo "VARIANT_ID=soas" >> %{buildroot}%{_prefix}/lib/os-release.soas
sed -i -e "s|(%{release_name}%{?prerelease})|(Sugar on a Stick%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.soas
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Sugar/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.soas
%endif

%if %{with toolbx}
# Toolbx
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.toolbx
echo "VARIANT=\"Toolbx Container Image\"" >> %{buildroot}%{_prefix}/lib/os-release.toolbx
echo "VARIANT_ID=toolbx" >> %{buildroot}%{_prefix}/lib/os-release.toolbx
sed -i -e "s|(%{release_name}%{?prerelease})|(Toolbx Container Image%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.toolbx
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Toolbx/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.toolbx
%endif

%if %{with workstation}
# Workstation
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.workstation
echo "VARIANT=\"Workstation Edition\"" >> %{buildroot}%{_prefix}/lib/os-release.workstation
echo "VARIANT_ID=workstation" >> %{buildroot}%{_prefix}/lib/os-release.workstation
sed -i -e "s|(%{release_name}%{?prerelease})|(Workstation Edition%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.workstation
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Workstation/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.workstation
# Add Fedora Workstation dnf protected packages list
install -Dm0644 %{SOURCE21} -t %{buildroot}%{_sysconfdir}/dnf/protected.d/
%endif

%if %{with silverblue} || %{with workstation}
# Silverblue and Workstation
install -Dm0644 %{SOURCE15} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE27} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
# Override the list of enabled gnome-shell extensions for Workstation
install -Dm0644 %{SOURCE16} -t %{buildroot}%{_datadir}/glib-2.0/schemas/
%endif

%if %{with kde_desktop} || %{with kinoite}
# Common desktop preset and spin specific preset
install -Dm0644 %{SOURCE26} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE27} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
%endif

%if %{with kde_mobile} || %{with kinoite_mobile}
# Common desktop preset and spin specific preset
install -Dm0644 %{SOURCE34} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE27} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
%endif

%if %{with ostree_desktop}
# Install rpm-ostree polkit rules
install -Dm0644 %{SOURCE17} -t %{buildroot}%{_datadir}/polkit-1/rules.d/
%endif

%if %{with xfce}
# Xfce
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.xfce
echo "VARIANT=\"Xfce\"" >> %{buildroot}%{_prefix}/lib/os-release.xfce
echo "VARIANT_ID=xfce" >> %{buildroot}%{_prefix}/lib/os-release.xfce
sed -i -e "s|(%{release_name}%{?prerelease})|(Xfce%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.xfce
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Xfce/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.xfce
%endif

%if %{with i3}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.i3
echo "VARIANT=\"i3\"" >> %{buildroot}%{_prefix}/lib/os-release.i3
echo "VARIANT_ID=i3" >> %{buildroot}%{_prefix}/lib/os-release.i3
sed -i -e "s|(%{release_name}%{?prerelease})|(i3%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.i3
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/i3/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.i3
%endif

%if %{with lxqt}
# LXQt
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.lxqt
echo "VARIANT=\"LXQt\"" >> %{buildroot}%{_prefix}/lib/os-release.lxqt
echo "VARIANT_ID=lxqt" >> %{buildroot}%{_prefix}/lib/os-release.lxqt
sed -i -e "s|(%{release_name}%{?prerelease})|(LXQt%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.lxqt
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/LXQt/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.lxqt
%endif

%if %{with budgie}
# Budgie
cp -p os-release \
      %{buildroot}%{_prefix}/lib/os-release.budgie
echo "VARIANT=\"Budgie\"" >> %{buildroot}%{_prefix}/lib/os-release.budgie
echo "VARIANT_ID=budgie" >> %{buildroot}%{_prefix}/lib/os-release.budgie
sed -i -e "s|(%{release_name}%{?prerelease})|(Budgie%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.budgie
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Budgie/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.budgie
%endif

%if %{with sway}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.sway
echo "VARIANT=\"Sway\"" >> %{buildroot}%{_prefix}/lib/os-release.sway
echo "VARIANT_ID=sway" >> %{buildroot}%{_prefix}/lib/os-release.sway
sed -i -e "s|(%{release_name}%{?prerelease})|(Sway%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.sway
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://gitlab.com/fedora/sigs/sway/SIG/-/issues"|' %{buildroot}/%{_prefix}/lib/os-release.sway
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Sway/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.sway
# Add Fedora Sway dnf protected packages list
install -Dm0644 %{SOURCE30} -t %{buildroot}%{_sysconfdir}/dnf/protected.d/
%endif

%if %{with sway_atomic}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.sway-atomic
echo "VARIANT=\"Sway Atomic\"" >> %{buildroot}%{_prefix}/lib/os-release.sway-atomic
echo "VARIANT_ID=sway-atomic" >> %{buildroot}%{_prefix}/lib/os-release.sway-atomic
sed -i -e "s|(%{release_name}%{?prerelease})|(Sway Atomic%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.sway-atomic
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-sericea/"|' %{buildroot}%{_prefix}/lib/os-release.sway-atomic
sed -i -e 's|HOME_URL=.*|HOME_URL="https://fedoraproject.org/atomic-desktops/sway/"|' %{buildroot}/%{_prefix}/lib/os-release.sway-atomic
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://gitlab.com/fedora/sigs/sway/SIG/-/issues"|' %{buildroot}/%{_prefix}/lib/os-release.sway-atomic
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/SwayAtomic/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.sway-atomic
%endif

%if %{with budgie_atomic}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.budgie-atomic
echo "VARIANT=\"Budgie Atomic\"" >> %{buildroot}%{_prefix}/lib/os-release.budgie-atomic
echo "VARIANT_ID=budgie-atomic" >> %{buildroot}%{_prefix}/lib/os-release.budgie-atomic
sed -i -e "s|(%{release_name}%{?prerelease})|(Budgie Atomic%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.budgie-atomic
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-onyx/"|' %{buildroot}%{_prefix}/lib/os-release.budgie-atomic
sed -i -e 's|HOME_URL=.*|HOME_URL="https://fedoraproject.org/atomic-desktops/budgie/"|' %{buildroot}/%{_prefix}/lib/os-release.budgie-atomic
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-budgie/project/issues"|' %{buildroot}/%{_prefix}/lib/os-release.budgie-atomic
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/BudgieAtomic/;s/<!--.*-->//;/^$/d' %{SOURCE19} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.budgie-atomic
%endif

%if %{with mobility}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.mobility
echo "VARIANT=\"Mobility\"" >> %{buildroot}%{_prefix}/lib/os-release.mobility
echo "VARIANT_ID=mobility" >> %{buildroot}%{_prefix}/lib/os-release.mobility
sed -i -e "s|(%{release_name}%{?prerelease})|(Mobility%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.mobility
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/Mobility/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.mobility
%endif

%if %{with miraclewm}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.miraclewm
echo "VARIANT=\"MiracleWM\"" >> %{buildroot}%{_prefix}/lib/os-release.miraclewm
echo "VARIANT_ID=miraclewm" >> %{buildroot}%{_prefix}/lib/os-release.miraclewm
sed -i -e "s|(%{release_name}%{?prerelease})|(MiracleWM%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.miraclewm
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-miracle/SIG/issues"|' %{buildroot}/%{_prefix}/lib/os-release.miraclewm
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/MiracleWM/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.miraclewm
# Add Fedora MiracleWM dnf protected packages list
install -Dm0644 %{SOURCE35} -t %{buildroot}%{_sysconfdir}/dnf/protected.d/
%endif

%if %{with miraclewm_atomic}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.miraclewm-atomic
echo "VARIANT=\"MiracleWM Atomic\"" >> %{buildroot}%{_prefix}/lib/os-release.miraclewm-atomic
echo "VARIANT_ID=miraclewm-atomic" >> %{buildroot}%{_prefix}/lib/os-release.miraclewm-atomic
sed -i -e "s|(%{release_name}%{?prerelease})|(MiracleWM Atomic%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.miraclewm-atomic
sed -i -e 's|DOCUMENTATION_URL=.*|DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora-sericea/"|' %{buildroot}%{_prefix}/lib/os-release.miraclewm-atomic
sed -i -e 's|HOME_URL=.*|HOME_URL="https://fedoraproject.org/atomic-desktops/miraclewm/"|' %{buildroot}/%{_prefix}/lib/os-release.miraclewm-atomic
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-miracle/SIG/issues"|' %{buildroot}/%{_prefix}/lib/os-release.miraclewm-atomic
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/MiracleWMAtomic/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.miraclewm-atomic
%endif

%if %{with cosmic}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.cosmic
echo "VARIANT=\"COSMIC\"" >> %{buildroot}%{_prefix}/lib/os-release.cosmic
echo "VARIANT_ID=cosmic" >> %{buildroot}%{_prefix}/lib/os-release.cosmic
sed -i -e "s|(%{release_name}%{?prerelease})|(COSMIC%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.cosmic
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-cosmic/SIG/issues"|' %{buildroot}/%{_prefix}/lib/os-release.cosmic
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/COSMIC/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cosmic
# Add Fedora COSMIC dnf protected packages list
install -Dm0644 %{SOURCE36} -t %{buildroot}%{_sysconfdir}/dnf/protected.d/
%endif

%if %{with cosmic_atomic}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.cosmic-atomic
echo "VARIANT=\"COSMIC Atomic\"" >> %{buildroot}%{_prefix}/lib/os-release.cosmic-atomic
echo "VARIANT_ID=cosmic-atomic" >> %{buildroot}%{_prefix}/lib/os-release.cosmic-atomic
sed -i -e "s|(%{release_name}%{?prerelease})|(COSMIC Atomic%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.cosmic-atomic
sed -i -e 's|HOME_URL=.*|HOME_URL="https://fedoraproject.org/atomic-desktops/cosmic/"|' %{buildroot}/%{_prefix}/lib/os-release.cosmic-atomic
sed -i -e 's|BUG_REPORT_URL=.*|BUG_REPORT_URL="https://pagure.io/fedora-cosmic/SIG/issues"|' %{buildroot}/%{_prefix}/lib/os-release.cosmic-atomic
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/COSMICAtomic/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cosmic-atomic
%endif

%if %{with wsl}
cp -p os-release %{buildroot}%{_prefix}/lib/os-release.wsl
echo "VARIANT=\"WSL\"" >> %{buildroot}%{_prefix}/lib/os-release.wsl
echo "VARIANT_ID=wsl" >> %{buildroot}%{_prefix}/lib/os-release.wsl
sed -i -e "s|(%{release_name}%{?prerelease})|(WSL%{?prerelease})|g" %{buildroot}%{_prefix}/lib/os-release.wsl
sed -e "s#\$version#%{bug_version}#g" -e 's/$edition/WSL/;s/<!--.*-->//;/^$/d' %{SOURCE20} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.wsl
%endif

# Create the symlink for /etc/os-release
ln -s ../usr/lib/os-release %{buildroot}%{_sysconfdir}/os-release

# Set up the dist tag macros
install -d -m 755 %{buildroot}%{_rpmconfigdir}/macros.d
cat >> %{buildroot}%{_rpmconfigdir}/macros.d/macros.dist << EOF
# dist macros.

%%__bootstrap         ~bootstrap
%if 0%{?eln}
%%rhel              %{rhel_dist_version}
%%el%{rhel_dist_version}                1
# Although eln is set in koji tags, we put it in the macros.dist file for local and mock builds.
%%eln              %{eln}
%%distcore            .eln%%{eln}
%else
%%fedora              %{dist_version}
%%fc%{dist_version}                1
%%distcore            .fc%%{fedora}
%endif
%%dist                %%{!?distprefix0:%%{?distprefix}}%%{expand:%%{lua:for i=0,9999 do print("%%{?distprefix" .. i .."}") end}}%%{distcore}%%{?with_bootstrap:%%{__bootstrap}}
%%dist_vendor         %{dist_vendor}
%%dist_name           %{dist_name}
%%dist_home_url       %{dist_home_url}
%%dist_bug_report_url %{dist_bug_report_url}
%%dist_debuginfod_url %{dist_debuginfod_url}
EOF

# Install licenses
install -pm 0644 %{SOURCE1} licenses/LICENSE

# Default system wide
install -Dm0644 %{SOURCE10} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE11} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE12} -t %{buildroot}%{_prefix}/lib/systemd/user-preset/
# The same file is installed in two places with identical contents
install -Dm0644 %{SOURCE13} -t %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -Dm0644 %{SOURCE13} -t %{buildroot}%{_prefix}/lib/systemd/user-preset/

# Create distro-level SWID tag file
install -d %{buildroot}%{_swidtagdir}
sed -e "s#\$version#%{bug_version}#g" -e 's/<!--.*-->//;/^$/d' %{SOURCE19} > %{buildroot}%{_swidtagdir}/org.fedoraproject.Fedora-%{bug_version}.swidtag
install -d %{buildroot}%{_sysconfdir}/swid/swidtags.d
ln -s --relative %{buildroot}%{_swidtagdir} %{buildroot}%{_sysconfdir}/swid/swidtags.d/fedoraproject.org

# Install DNF 5 configuration defaults
install -Dm0644 %{SOURCE31} -t %{buildroot}%{_prefix}/share/dnf5/libdnf.conf.d/


%files common
%license licenses/LICENSE licenses/Fedora-Legal-README.txt
%{_prefix}/lib/fedora-release
%{_prefix}/lib/system-release-cpe
%{_sysconfdir}/os-release
%{_sysconfdir}/fedora-release
%{_sysconfdir}/redhat-release
%{_sysconfdir}/system-release
%{_sysconfdir}/system-release-cpe
%attr(0644,root,root) %{_prefix}/lib/issue
%config(noreplace) %{_sysconfdir}/issue
%attr(0644,root,root) %{_prefix}/lib/issue.net
%config(noreplace) %{_sysconfdir}/issue.net
%dir %{_sysconfdir}/issue.d
%attr(0644,root,root) %{_rpmconfigdir}/macros.d/macros.dist
%dir %{_prefix}/lib/systemd/user-preset/
%{_prefix}/lib/systemd/user-preset/90-default-user.preset
%{_prefix}/lib/systemd/user-preset/99-default-disable.preset
%dir %{_prefix}/lib/systemd/system-preset/
%{_prefix}/lib/systemd/system-preset/85-display-manager.preset
%{_prefix}/lib/systemd/system-preset/90-default.preset
%{_prefix}/lib/systemd/system-preset/99-default-disable.preset
%dir %{_swidtagdir}
%{_swidtagdir}/org.fedoraproject.Fedora-%{bug_version}.swidtag
%dir %{_sysconfdir}/swid
%{_sysconfdir}/swid/swidtags.d
%{_prefix}/share/dnf5/libdnf.conf.d/20-fedora-defaults.conf


%if %{with basic}
%files
%files identity-basic
%{_prefix}/lib/os-release.basic
%endif


%if %{with cinnamon}
%files cinnamon
%files identity-cinnamon
%{_prefix}/lib/os-release.cinnamon
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cinnamon
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with cloud}
%files cloud
%files identity-cloud
%{_prefix}/lib/os-release.cloud
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cloud
%endif


%if %{with compneuro}
%files compneuro
%files identity-compneuro
%{_prefix}/lib/os-release.compneuro
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.compneuro
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with container}
%files container
%files identity-container
%{_prefix}/lib/os-release.container
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.container
%endif


%if %{with coreos}
%files coreos
%files identity-coreos
%{_prefix}/lib/systemd/system-preset/80-coreos.preset
%{_prefix}/lib/systemd/system.conf.d/longer-default-shutdown-timeout.conf
%{_prefix}/lib/systemd/user.conf.d/longer-default-shutdown-timeout.conf
%{_prefix}/lib/os-release.coreos
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.coreos
%endif


%if %{with designsuite}
%files designsuite
%files identity-designsuite
%{_prefix}/lib/os-release.designsuite
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.designsuite
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with eln}
%files eln
%files identity-eln
%{_prefix}/lib/os-release.eln
%{_prefix}/lib/systemd/system-preset/80-server.preset
%{_prefix}/lib/systemd/system-preset/75-eln.preset
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.eln
%endif


%if %{with flatpak}
%files flatpak
%files identity-flatpak
%{_prefix}/lib/os-release.flatpak
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.flatpak
%endif


%if %{with iot}
%files iot
%files identity-iot
%{_prefix}/lib/os-release.iot
%{_prefix}/lib/systemd/system-preset/80-iot.preset
%{_prefix}/lib/systemd/user-preset/80-iot-user.preset
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.iot
%{_prefix}/lib/zezere-ignition-url
%endif


%if %{with kde_desktop}
%files kde-desktop
%files identity-kde-desktop
%{_prefix}/lib/os-release.kde-desktop
%{_prefix}/lib/systemd/system-preset/80-kde-desktop.preset
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kde-desktop
%{_sysconfdir}/dnf/protected.d/plasma-desktop.conf
%endif

%if %{with kde_mobile}
%files kde-mobile
%files identity-kde-mobile
%{_prefix}/lib/os-release.kde-mobile
%{_prefix}/lib/systemd/system-preset/80-kde-mobile.preset
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kde-mobile
%{_sysconfdir}/dnf/protected.d/plasma-mobile.conf
%endif

%if %{with matecompiz}
%files matecompiz
%files identity-matecompiz
%{_prefix}/lib/os-release.matecompiz
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.matecompiz
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with server}
%files server
%files identity-server
%{_prefix}/lib/os-release.server
%{_prefix}/lib/systemd/system-preset/80-server.preset
%{_prefix}/lib/systemd/system.conf.d/longer-default-shutdown-timeout.conf
%{_prefix}/lib/systemd/user.conf.d/longer-default-shutdown-timeout.conf
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.server
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.override
%endif


%if %{with silverblue}
%files silverblue
%files identity-silverblue
%{_prefix}/lib/os-release.silverblue
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.silverblue
# Keep this in sync with workstation below
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.override
%{_prefix}/lib/systemd/system-preset/80-workstation.preset
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with kinoite}
%files kinoite
%files identity-kinoite
%{_prefix}/lib/os-release.kinoite
%{_prefix}/lib/systemd/system-preset/80-kde-desktop.preset
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kinoite
%endif

%if %{with kinoite_mobile}
%files kinoite-mobile
%files identity-kinoite-mobile
%{_prefix}/lib/os-release.kinoite-mobile
%{_prefix}/lib/systemd/system-preset/80-kde-mobile.preset
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.kinoite-mobile
%endif

%if %{with ostree_desktop}
%files ostree-desktop
%attr(0644,root,root) %{_prefix}/share/polkit-1/rules.d/org.projectatomic.rpmostree1.rules
%endif


%if %{with snappy}
%files snappy
%files identity-snappy
%{_prefix}/lib/os-release.snappy
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.snappy
%endif


%if %{with soas}
%files soas
%files identity-soas
%{_prefix}/lib/os-release.soas
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.soas
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with toolbx}
%files toolbx
%files identity-toolbx
%{_prefix}/lib/os-release.toolbx
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.toolbx
%endif


%if %{with workstation}
%files workstation
%files identity-workstation
%{_prefix}/lib/os-release.workstation
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.workstation
%{_sysconfdir}/dnf/protected.d/fedora-workstation.conf
# Keep this in sync with silverblue above
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.override
%{_prefix}/lib/systemd/system-preset/80-workstation.preset
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with xfce}
%files xfce
%files identity-xfce
%{_prefix}/lib/os-release.xfce
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.xfce
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with i3}
%files i3
%files identity-i3
%{_prefix}/lib/os-release.i3
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.i3
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with lxqt}
%files lxqt
%files identity-lxqt
%{_prefix}/lib/os-release.lxqt
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.lxqt
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif

%if %{with budgie}
%files budgie
%files identity-budgie
%{_prefix}/lib/os-release.budgie
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.budgie
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with sway}
%files sway
%files identity-sway
%{_prefix}/lib/os-release.sway
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.sway
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%{_sysconfdir}/dnf/protected.d/fedora-sway.conf
%endif


%if %{with sway_atomic}
%files sway-atomic
%files identity-sway-atomic
%{_prefix}/lib/os-release.sway-atomic
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.sway-atomic
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif

%if %{with budgie_atomic}
%files budgie-atomic
%files identity-budgie-atomic
%{_prefix}/lib/os-release.budgie-atomic
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.budgie-atomic
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with mobility}
%files mobility
%files identity-mobility
%{_prefix}/lib/os-release.mobility
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.mobility
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with miraclewm}
%files miraclewm
%files identity-miraclewm
%{_prefix}/lib/os-release.miraclewm
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.miraclewm
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%{_sysconfdir}/dnf/protected.d/fedora-miraclewm.conf
%endif


%if %{with miraclewm_atomic}
%files miraclewm-atomic
%files identity-miraclewm-atomic
%{_prefix}/lib/os-release.miraclewm-atomic
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.miraclewm-atomic
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif


%if %{with cosmic}
%files cosmic
%files identity-cosmic
%{_prefix}/lib/os-release.cosmic
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cosmic
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%{_sysconfdir}/dnf/protected.d/fedora-cosmic.conf
%endif


%if %{with cosmic_atomic}
%files cosmic-atomic
%files identity-cosmic-atomic
%{_prefix}/lib/os-release.cosmic-atomic
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.cosmic-atomic
%{_prefix}/lib/systemd/system-preset/81-desktop.preset
%endif

%if %{with wsl}
%files wsl
%files identity-wsl
%{_prefix}/lib/os-release.wsl
%attr(0644,root,root) %{_swidtagdir}/org.fedoraproject.Fedora-edition.swidtag.wsl
%endif


%changelog
## START: Generated by rpmautospec
* Fri Apr 11 2025 Stephen Gallagher <sgallagh@redhat.com> - 43-0.13
- Enable gpio-manager.service

* Tue Apr 08 2025 Neal Gompa <ngompa@fedoraproject.org> - 43-0.12
- Fix the KDE desktop variant pretty name to reflect Edition status

* Tue Apr 08 2025 Frank Ch. Eigler <fche@fedoraproject.org> - 43-0.11
- Update fedora-release.spec to enable ima:enforcing mode in
  DEBUGINFOD_URLS

* Thu Apr 03 2025 Stephen Gallagher <sgallagh@redhat.com> - 43-0.10
- Also update files listing for 80-kde.preset

* Thu Apr 03 2025 Neal Gompa <ngompa@fedoraproject.org> - 43-0.9
- Rename Fedora KDE Plasma Spin to Fedora KDE Plasma Desktop Edition

* Sat Mar 22 2025 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 43-0.8
- Enable vgauthd.service in addition to vmtoolsd.service

* Mon Mar 10 2025 František Zatloukal <fzatlouk@redhat.com> - 43-0.7
- cloud-init: Main service name update for 25.1

* Tue Feb 25 2025 djach7 <djachimo@redhat.com> - 43-0.6
- Updates Fedora IoT preset to enable ignition first-boot services

* Tue Feb 18 2025 Daniel P. Berrangé <berrange@redhat.com> - 43-0.4
- Enable aesmd.service, mpa_registration.service, qgs.service

* Tue Feb 18 2025 Neal Gompa <ngompa@fedoraproject.org> - 43-0.3
- Enable xdg-user-dirs service to fix creation races (#2319081)

* Wed Feb 05 2025 Andrea Bolognani <abologna@redhat.com> - 43-0.2
- Tweak /etc/issue to avoid incorrect English

* Fri Jan 31 2025 Patrik Polakovič <patrik@alphamail.org> - 43-0.1
- Rawhide is now F43

* Thu Jan 23 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 42-0.16
- Remove WSL configuration files and setup script

* Wed Jan 22 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 42-0.15
- WSL: Install wsl-distribution.conf in /usr/lib

* Tue Jan 21 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 42-0.14
- Add a WSL variant

* Thu Jan 09 2025 Neal Gompa <ngompa@fedoraproject.org> - 42-0.13
- Add Fedora COSMIC variants

* Thu Dec 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 42-0.12
- Add flatpak variant

* Tue Dec 03 2024 Stephen Gallagher <sgallagh@redhat.com> - 42-0.11
- Enable fips-crypto-policy-overlay

* Tue Dec 03 2024 Stephen Gallagher <sgallagh@redhat.com> - 42-0.10
- Provide correct EOL date

* Mon Dec 02 2024 Petr Písař <ppisar@redhat.com> - 42-0.9
- Enable pkg_gpgcheck in DNF5

* Mon Nov 04 2024 Stephen Gallagher <sgallagh@redhat.com> - 42-0.8
- Enable mpris-proxy

* Sun Nov 03 2024 Neal Gompa <ngompa@fedoraproject.org> - 42-0.7
- Restore preset for power-profiles-daemon

* Fri Oct 18 2024 Stephen Gallagher <sgallagh@redhat.com> - 42-0.6
- Add RELEASE_TYPE field to os-release

* Fri Oct 18 2024 Stephen Gallagher <sgallagh@redhat.com> - 42-0.5
- Minor fixes to os-release processing

* Tue Oct 08 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 42-0.4
- Enable hidpipe user units by default; Fixes: RHBZ#2317288

* Mon Aug 19 2024 Stephen Gallagher <sgallagh@redhat.com> - 42-0.3
- presets: enable cosmic-greeter.service

* Mon Aug 19 2024 Peter Robinson <pbrobinson@fedoraproject.org> - 42-0.2
- drop pd-mapper service as it's now obsolete

* Sun Aug 11 2024 Samyak Jain <samyak.jn11@gmail.com> - 42-0.1
- Rawhide is now f42

* Sun Aug 04 2024 Stephen Gallagher <sgallagh@redhat.com> - 41-0.20
- Enable lvm-devices-import

* Sun Aug 04 2024 Neal Gompa <ngompa@fedoraproject.org> - 41-0.19
- Add Fedora MiracleWM variants

* Sun Aug 04 2024 Neal Gompa <ngompa@fedoraproject.org> - 41-0.18
- Use new build conditional syntax to simplify variant conditionals

* Mon Jul 29 2024 Troy Dawson <tdawson@redhat.com> - 41-0.17
- Add KDE Plasma Mobile and Kinoite Mobile

* Mon Jul 08 2024 Timothée Ravier <tim@siosm.fr> - 41-0.16
- rpmostree.rules: Remove "more privileged" operations

* Mon Jul 08 2024 Timothée Ravier <tim@siosm.fr> - 41-0.15
- rpmostree.rules: Make updates unprivileged

* Fri Jun 21 2024 Pavol Žáčik <pzacik@redhat.com> - 41-0.14
- Replace power-profiles-daemon with tuned

* Wed May 29 2024 Stephen Gallagher <sgallagh@redhat.com> - 41-0.13
- ELN: Add preset override file

* Wed May 29 2024 Stephen Gallagher <sgallagh@redhat.com> - 41-0.12
- ELN: carry Fedora Server presets

* Tue May 28 2024 Lleyton Gray <lleyton@fyralabs.com> - 41-0.11
- Include systemd desktop presets in all desktop spins

* Thu Apr 18 2024 Evan Goode <mail@evangoo.de> - 41-0.10
- DNF 5: set best=False, skip_if_unavailable=True

* Fri Apr 12 2024 Paul Whalen <pwhalen@fedoraproject.org> - 41-0.9
- IoT: enable fdo-client-linuxapp.service

* Wed Feb 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 41-0.8
- ELN: switch default Java to 21

* Wed Feb 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 41-0.7
- ELN: drop wget and zlib hints

* Wed Feb 28 2024 Jeremy Cline <jeremycline@microsoft.com> - 41-0.6
- Enable Azure guest agent by default

* Mon Feb 26 2024 Joshua Strobl <me@joshuastrobl.com> - 41-0.5
- Rebrand Onyx to Budgie Atomic

* Mon Feb 26 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 41-0.4
- Rebrand Sericea to Sway Atomic

* Fri Feb 16 2024 Paul Whalen <pwhalen@fedoraproject.org> - 41-0.3
- Add fedora-iot-config-remote-fix.service to iot preset

* Tue Feb 13 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 41-0.2
- ELN: update rhel_dist_version to 11

* Tue Feb 13 2024 Samyak Jain <samyak.jn11@gmail.com> - 41-0.1
- Rawhide is now f41

* Fri Feb 09 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.32
- ELN: prefer blas

* Thu Feb 08 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.31
- ELN: prefer iptables-nft

* Tue Feb 06 2024 Debarshi Ray <rishi@fedoraproject.org> - 40-0.30
- Add Toolbx subpackages

* Mon Jan 15 2024 Stephen Gallagher <sgallagh@redhat.com> - 40-0.29
- Presets: enable auditd-rules.service

* Wed Jan 10 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.28
- ELN: prefer zlib-ng-compat-static over zlib-static

* Thu Jan 04 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.27
- ELN: prefer grubby

* Tue Jan 02 2024 Stephen Gallagher <sgallagh@redhat.com> - 40-0.26
- Enable pd-mapper.service

* Sun Dec 24 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.25
- ELN: prefer zlib-ng-compat over zlib

* Thu Dec 21 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.24
- ELN: prefer wget2-wget

* Sun Dec 17 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 40-0.23
- Sway: add dnf protected packages list

* Sun Dec 17 2023 Timothée Ravier <tim@siosm.fr> - 40-0.22
- Remove manual rpm-ostree-countme.timer preset

* Thu Nov 16 2023 Christian Glombek <cglombek@redhat.com> - 40-0.21
- Remove presets for grub services

* Tue Nov 14 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 40-0.20
- ELN: prefer maven-openjdk17

* Mon Nov 13 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 40-0.19
- Fix SUPPORT_END date

* Wed Nov 01 2023 Paul Whalen <pwhalen@fedoraproject.org> - 40-0.18
- IoT: Add requires for fedora-iot-config

* Mon Oct 30 2023 Tomas Hrcka <thrcka@redhat.com> - 40-0.17
- Remove modularity

* Mon Oct 30 2023 Samyak Jain <samyak.jn11@gmail.com> - 40-0.16
- Fedora 39 branched from rawhide

* Mon Oct 30 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 40-0.15
- make $releasever return eln and not rawhide

* Mon Oct 09 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 40-0.14
- Avoid requiring Rawhide repos on ELN

* Wed Oct 04 2023 Andrea Bolognani <abologna@redhat.com> - 40-0.13
- presets: Enable virtvboxd by default

* Wed Oct 04 2023 Andrea Bolognani <abologna@redhat.com> - 40-0.12
- presets: Enable read-only/admin sockets for all virt services

* Wed Oct 04 2023 Andrea Bolognani <abologna@redhat.com> - 40-0.11
- presets: Improve virt presets

* Thu Sep 28 2023 Christian Glombek <cglombek@redhat.com> - 40-0.10
- Fix grub2-systemd-integration.service preset

* Mon Sep 25 2023 Stephen Gallagher <sgallagh@redhat.com> - 40-0.9
- Enable kernel-bootcfg-boot-successful.service

* Fri Sep 08 2023 Timothée Ravier <tim@siosm.fr> - 40-0.8
- Enable fwupd-refresh.timer on IoT & Server (fedora#2236498)

* Fri Sep 01 2023 Major Hayden <major@redhat.com> - 40-0.7
- default-preset: Add cloud-init services

* Fri Aug 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 40-0.6
- Re-add missing %%%% before {?with_bootstrap

* Thu Aug 17 2023 Owen W. Taylor <otaylor@fishsoup.net> - 40-0.5
- Fix "overridable" bootstrap suffix

* Thu Aug 17 2023 Owen W. Taylor <otaylor@fishsoup.net> - 40-0.4
- Fix ELN .dist value

* Thu Aug 17 2023 Owen W. Taylor <otaylor@fishsoup.net> - 40-0.3
- Split tag-varying bit of dist into %%%%{distcore}

* Wed Aug 09 2023 Christian Glombek <cglombek@redhat.com> - 40-0.2
- Add presets for grub units

* Tue Aug 08 2023 Samyak Jain <samyak.jn11@gmail.com> - 40-0.1
- Rawhide is now f40

* Fri Aug 04 2023 Daan De Meyer <daan.j.demeyer@gmail.com> - 39-0.23
- Disable systemd-boot-update.service in 90-default.preset

* Mon Jul 10 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 39-0.22
- ELN: prefer xorriso for /usr/bin/mkisofs

* Mon Jul 10 2023 Christian Glombek <cglombek@redhat.com> - 39-0.21
- Enable nfs-client.target in 90-default.preset

* Fri Jul 07 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 39-0.20
- ELN: prefer postfix for MTP/smtpd/smtpdaemon

* Fri Jul 07 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 39-0.19
- ELN: prefer RHEL ipa over Fedora freeipa

* Fri Jun 30 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 39-0.18
- ELN: prefer java-17-openjdk as default version

* Fri Jun 23 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 39-0.17
- ELN: prefer bind over bind9-next

* Thu Jun 22 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 39-0.16
- Set more ELN suggestions

* Wed Jun 14 2023 Stephen Gallagher <sgallagh@redhat.com> - 39-0.15
- ELN: Prefer nmap-ncat over netcat

* Fri May 26 2023 Paul Whalen <pwhalen@fedoraproject.org> - 39-0.13
- Revert "IoT: Add requires for fedora-iot-config"

* Tue May 02 2023 Joshua Strobl <me@joshuastrobl.com> - 39-0.12
- Add Fedora Onyx immutable variant.

* Fri Apr 28 2023 Paul Whalen <pwhalen@fedoraproject.org> - 39-0.11
- IoT: Add requires for fedora-iot-config

* Fri Apr 28 2023 Fabio Alessandro Locati <me@fale.io> - 39-0.10
- Add correct documentation and home urls for Sericea

* Mon Apr 24 2023 Kevin Fenzi <kevin@scrye.com> - 39-0.9
- Add a mobility desktop identity.

* Mon Apr 03 2023 Kevin Fenzi <kevin@scrye.com> - 39-0.8
- server: also keep the old 90s default timeout for shutdown

* Mon Mar 27 2023 Timothée Ravier <tim@siosm.fr> - 39-0.7
- Revert "Enable preset for ssh-host-keys-migration.service"

* Thu Mar 16 2023 Enrique Llorente <ellorent@redhat.com> - 39-0.6
- Enable presets for nmstate.service

* Tue Mar 14 2023 Stephen Gallagher <sgallagh@redhat.com> - 39-0.6
- Server: disable auto-suspend when on AC power

* Fri Mar 03 2023 Dusty Mabe <dusty@dustymabe.com> - 39-0.5
- Enable preset for ssh-host-keys-migration.service

* Thu Mar 02 2023 Dusty Mabe <dusty@dustymabe.com> - 39-0.4
- Fix invalid longer-default-shutdown-timeout.conf

* Wed Mar 01 2023 Dusty Mabe <dusty@dustymabe.com> - 39-0.3
- make recent shutdown timeout conf filename more appropriate

* Thu Feb 16 2023 Timothée Ravier <tim@siosm.fr> - 39-0.2
- Keep upstream default shutdown timeout for some variants

* Wed Feb 08 2023 Tomas Hrcka <thrcka@redhat.com> - 39-0.1
- Rawhide is now f39

* Thu Feb 02 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 38-0.21
- Use relative symlinks

* Sun Jan 29 2023 FAS Mershl <mweires@googlemail.com> - 38-0.20
- Workstation & Silverblue: Remove Flathub remote & third party repos

* Mon Jan 23 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 38-0.19
- Replace iscsi.service with iscsi-starter.service

* Fri Jan 20 2023 Alessio <alciregi@posteo.net> - 38-0.18
- Update 80-iot.preset

* Fri Jan 20 2023 Stephen Gallagher <sgallagh@redhat.com> - 38-0.17
- Add Requires(meta) to release packages

* Wed Jan 18 2023 Jonathan Lebon <jonathan@jlebon.com> - 38-0.16
- Revert "Enable podman-restart.service"

* Mon Jan 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 38-0.15
- Enable podman-restart.service

* Mon Jan 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 38-0.14
- Enable waydroid-container.service

* Mon Jan 09 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 38-0.13
- Add Fedora Sericea (Sway OSTree) subpackages.

* Mon Jan 09 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 38-0.12
- Introduce %%with_ostree_desktop macro.

* Mon Jan 09 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 38-0.11
- Add Fedora Sway variant subpackages

* Fri Jan 06 2023 Jilayne Lovejoy <jlovejoy@redhat.com> - 38-0.10
- add US

* Thu Jan 05 2023 Jilayne Lovejoy <jlovejoy@redhat.com> - 38-0.9
- Update Fedora-Legal-README.txt

* Sun Dec 11 2022 Joshua Strobl <me@joshuastrobl.com> - 38-0.8
- Add Budgie

* Mon Nov 28 2022 Neal Gompa <ngompa@fedoraproject.org> - 38-0.7
- 90-default.preset: Enable the livesys and livesys-late services

* Sat Nov 19 2022 Ben Cotton <bcotton@fedoraproject.org> - 38-0.6
- Add anticipated EOL date

* Fri Oct 14 2022 Zamir SUN <sztsian@gmail.com> - 38-0.5
- Add LXQt spin to the fedora-release

* Sun Sep 18 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 38-0.4
- Drop preset for update-vendor-firmware

* Mon Aug 22 2022 Dusty Mabe <dusty@dustymabe.com> - 38-0.3
- Fix sed command for DEFAULT_HOSTNAME changes

* Wed Aug 10 2022 Neal Gompa <ngompa@fedoraproject.org> - 38-0.2
- Ensure branded fallback hostname is set accordingly

* Tue Aug 09 2022 Tomas Hrcka <thrcka@redhat.com> - 38-0.1
- Rawhide is now f38

* Fri Jul 29 2022 Amit Shah <amit@kernel.org> - 37-0.9
- Add debuginfod_url to dist macros

* Wed Jul 27 2022 Amit Shah <amitshah@fedoraproject.org> - 37-0.8
- macros: add new distribution-specific macros for package configurations

* Tue Jun 28 2022 Sergio Arroutbi <sarroutb@redhat.com> - 37-0.7
- Add preset to enable clevis-luks-askpass.path

* Thu Jun 23 2022 Stephen Gallagher <sgallagh@redhat.com> - 37-0.6
- Pull in lorax-templates-rhel for ELN

* Fri Apr 29 2022 Stephen Gallagher <sgallagh@redhat.com> - 37-0.5
- Enable update-vendor-firmware.service

* Fri Apr 29 2022 Ben Cotton <bcotton@fedoraproject.org> - 37-0.4
- Remove the privacy policy URL.

* Wed Mar 09 2022 Timothée Ravier <tim@siosm.fr> - 37-0.3
- Set home and bug report URLs for Silverblue & Kinoite

* Tue Feb 08 2022 Mohan Boddu <mboddu@bhujji.com> - 37-0.2
- Rebuilding for fedora-repos-37

* Tue Feb 08 2022 Tomas Hrcka <thrcka@redhat.com> - 37-0.1
- Rawhide is now f37

* Tue Feb 01 2022 Michael Catanzaro <mcatanzaro@redhat.com> - 36-0.14
- Add NetworkManager to list of protected packages in Workstation

* Sun Jan 23 2022 Neal Gompa <ngompa@fedoraproject.org> - 36-0.13
- Enable rpmdb-migrate.service

* Tue Nov 30 2021 Timothée Ravier <tim@siosm.fr> - 36-0.12
- presets: Use a commmon desktop preset and spin specific ones

* Thu Nov 25 2021 Timothée Ravier <tim@siosm.fr> - 36-0.11
- Statically enable rpm-ostree-countme timer

* Thu Nov 25 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 36-0.10
- Enable plocate timer by default

* Wed Nov 10 2021 Neal Gompa <ngompa@fedoraproject.org> - 36-0.9
- kde: Identify plasma-desktop as a protected package for DNF

* Fri Aug 27 2021 Matthew Miller <mattdm@fedoraproject.org> - 36-0.8
- point SUPPORT_URL to Ask Fedora instead of to an obsolete and
  unmaintained wiki page

* Mon Aug 23 2021 Stephen Gallagher <sgallagh@redhat.com> - 36-0.7
- Fix ostree-counting Obsoletes

* Fri Aug 20 2021 Timothée Ravier <tim@siosm.fr> - 36-0.6
- 90-default.preset: Enable rpm-ostree count me by default

* Tue Aug 17 2021 Owen W. Taylor <otaylor@fishsoup.net> - 36-0.5
- workstation/silverblue: Add third-party repositories

* Mon Aug 16 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 36-0.4
- Add Fedora i3 variant subpackage

* Tue Aug 10 2021 Tomas Hrcka <thrcka@redhat.com> - 36-0.2
- Setup for rawhide being F36

* Wed Aug 04 2021 Stephen Gallagher <sgallagh@redhat.com> - 35-0.14
- Switch libvirt presets to use the new modular daemons
  https://fedoraproject.org/wiki/Changes/LibvirtModularDaemons

* Mon Jul 26 2021 Neal Gompa <ngompa@fedoraproject.org> - 35-0.13
- Shuffle some power/resource management presets so all variants can use them

* Fri Jul 23 2021 Neal Gompa <ngompa@fedoraproject.org> - 35-0.12
- user session: drop duplicate pipewire-pulse preset

* Wed Jul 14 2021 Kevin Fenzi <kevin@scrye.com> - 35-0.11
- user session: wireplumber.service and pipewire-pulse.socket

* Tue Jul 13 2021 Stephen Gallagher <sgallagh@redhat.com> - 35-0.10
- user session: enable pipewire-media-session.service

* Fri Apr 30 2021 Stephen Gallagher <sgallagh@redhat.com> - 35-0.9
- Change PRETTY_NAME to "Fedora Linux"

* Fri Apr 30 2021 Ben Cotton <bcotton@fedoraproject.org> - 35-0.8
- Automatically set the version in Fedora-Legal-README.txt

* Tue Apr 13 2021 Timothée Ravier <travier@redhat.com> - 35-0.7
- Add ostree-counting & ostree-desktop subpackages

* Thu Apr 01 2021 Stephen Gallagher <sgallagh@redhat.com> - 35-0.6
- Enable certbot-renew.timer (bz1942011)

* Wed Mar 17 2021 Timothée Ravier <travier@redhat.com> - 35-0.5
- Add Fedora Kinoite variant sub package

* Wed Mar 17 2021 Timothée Ravier <travier@redhat.com> - 35-0.4
- Enable Count Me timer for Silverblue and IoT

* Sat Feb 20 2021 Stephen Gallagher <sgallagh@redhat.com> - 35-0.3
- Update rhel_dist_version to track RHEL 10

* Tue Feb 16 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 35-0.2
- Remove earlyoom preset from workstation and kde identities
  (replaced by systemd-oomd)

* Tue Feb 09 2021 Tomas Hrcka <thrcka@redhat.com> - 35-0.1
- Setup for rawhide being F35

* Tue Jan 19 2021 Allison Karlitskaya <allison.karlitskaya@redhat.com> - 34-0.11
- Enable rpm-ostree repo-refresh for all active local users
- https://github.com/fedora-silverblue/issue-tracker/issues/55

* Tue Dec 15 2020 Mohan Boddu <mboddu@bhujji.com> - 34-0.10
- Enable pipewire-pulse socket-activated user service (ngompa)
- Fixing changelog

* Wed Oct 28 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.9
- Spec file and ELN improvements
- Conditionalize the creation of the identity subpackages
- Allow ELN to skip building all of the other Fedora identities
- Have ELN be the provider of the `redhat-release` virtual provides

* Fri Oct 23 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.8
- Enable power-profiles-daemon by default
- https://pagure.io/fedora-workstation/issue/191

* Wed Oct 14 2020 Mohan Boddu <mboddu@bhujji.com> - 34-0.7
- Enable low-memory-monitor for GMemoryMonitor API (hadess)

* Fri Oct 09 2020 Mohan Boddu <mboddu@bhujji.com> - 34-0.6
- Add ELN support to fedora-release (sgallagh)

* Thu Sep 17 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 34-0.5
- IoT: Enable parsec and dbus-parsec services

* Tue Aug 25 2020 Kalev Lember <klember@redhat.com> - 34-0.4
- Add gnome-shell to dnf protected packages list for Workstation

* Mon Aug 17 2020 Troy Dawson <tdawson@redhat.com> - 34-0.3
- Change release if building for eln

* Tue Aug 11 2020 Troy Dawson <tdawson@redhat.com> - 34-0.2
- Set %rhel and %eln when appropriate

* Mon Aug 10 2020 Tomas Hrcka <thrcka@redhat.com> - 34-0.1
- Setup for rawhide being F34

* Mon Aug 10 2020 Troy Dawson <tdawson@redhat.com> - 33-0.11
- No %fedora set for eln

* Thu Aug 06 2020 Ben Cotton <bcotton@fedoraproject.org> - 33-0.10
- KDE: Add EarlyOOM by default

* Fri Jun 05 2020 Mohan Boddu <mboddu@bhujji.com> - 33-0.9
- iot: Remove preset for greenboot.service (lorbus)

* Mon May 04 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.8
- Fix incorrect prerelease labeling for Editions and Spins
- Resolves: rhbz#1831102

* Tue Apr 21 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.7
- Add new "identity" subpackages to allow Edition and Spin environment groups
  to be installed together.

* Mon Apr 20 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.6
- Add "Prerelease" notation to PRETTY_NAME and VERSION in os-release

* Sun Apr 12 2020 Kevin Fenzi <kevin@scrye.com> - 33-0.5
- Update color to Fedora blue. Fixes bug #1823099

* Wed Apr 01 2020 Christian Glombek <cglombek@redhat.com> 33-0.4
- Add IoT user preset to disable grub-boot-success.timer
- Update links in 80-coreos.preset

* Fri Mar 20 2020 Patrick Uiterwijk <puiterwijk@redhat.com> 33-0.3
- Enable IoT provisioning service

* Wed Mar 18 2020 Peter Robinson <pbrobinson@fedoraproject.org> 33-0.2
- Add IoT provisioning URL config
- Enable fstrim.timer (crobinso)
- Enable kata-osbuilder-generate.service (crobinso)

* Tue Feb 11 2020 Mohan Boddu <mboddu@bhujji.com> - 33-0.1
- Setup for rawhide being F33

* Fri Feb  7 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 32-0.5
- Add 'disable *' default preset for user units (#1468501)

* Wed Oct 30 2019 Peter Robinson <pbrobinson@fedoraproject.org> 32-0.4
- Drop clevis IoT defaults change

* Mon Oct 21 2019 Michael Nguyen <mnguyen@redhat.com> - 32-0.3
- Update os-release information for Fedora CoreOS

* Thu Aug 15 2019 Miro Hrončok <mhroncok@redhat.com> - 32-0.2
- RPM macros: Redefining %%fedora now changes %%dist

* Tue Aug 13 2019 Mohan Boddu <mboddu@bhujji.com> - 32-0.1
- Setup for rawhide being F32
- Disable zram-swap service (sgallagh)

* Sat Aug 10 2019 Tom Callaway <spot@fedoraproject.org> - 31-0.9
- update legal text (reflect current release, refer to Fedora OS instead of Fedora)

* Sat Jul 13 2019 Colin Walters <walters@verbum.org> - 31-0.8
- Sync Silverblue with Workstation
  In particular, it should have the same "ssh disabled by default" etc.
  https://discussion.fedoraproject.org/t/strange-etc-os-release-contents-on-silverblue/2024/2
- Enable zram-swap on workstation installations
- Enable the session agent for snaps

* Thu Jun 06 2019 Stephen Gallagher <sgallagh@redhat.com> - 31-0.7
- Work around upgrade bug
- Resolves: rhbz#1710543

* Tue May 14 2019 Robert Fairley <rfairley@redhat.com> - 31-0.6
- Remove presets from 80-coreos.preset and add note referring to FCOS overlay RPM

* Wed Apr 10 2019 Stephen Gallagher <sgallagh@redhat.com> - 31-0.5
- Add Provides for the base module for Fedora (BZ #1688462)

* Mon Apr 8 2019 Michael Nguyen <mnguyen@redhat.com> - 31-0.4
- Add presets for CoreOS

* Thu Apr 04 2019 Kalev Lember <klember@redhat.com> - 31-0.3
- Enable the Fedora flatpak repos service (#1696225)

* Wed Mar 20 2019 Jason L Tibbitts III <tibbs@math.uh.edu> - 31-0.2
- Allow bootstrap suffix to be overridden.

* Tue Feb 19 2019 Tomas Hrcka <thrcka@redhat.com> - 31-0.1
- Setup for rawhide being f30

* Fri Feb 15 2019 Sinny Kumari <skumari@redhat.com> - 30-0.23
- Don't build AtomicHost from F30 and onward releases in favor of coreos

* Fri Feb 08 2019 David Rheinsberg <david.rheinsberg@gmail.com> - 30-0.22
- Enable dbus-broker over dbus-daemon, to make new installs use the broker as
  new system- and user-bus implementation.

* Sun Feb 03 2019 Neal Gompa <ngompa13@gmail.com> - 30-0.21
- Add snappy variant

* Fri Jan 18 2019 Robert Fairley <rfairley@redhat.com> - 30-0.20
- Own /etc/issue.d directory.

* Fri Dec 28 2018 Kevin Fenzi <kevin@scrye.com> - 30-0.19
- Own /etc/swid directory.

* Wed Dec 12 2018 Stephen Gallagher <sgallagh@redhat.com> - 30-0.18
- Include empty VERSION_CODENAME= field in os-release

* Tue Dec 11 2018 Mohan Boddu <mboddu@bhujji.com> 30-0.17
- Use the icon logo for `LOGO`

* Mon Dec 03 2018 Mohan Boddu <mboddu@bhujji.com> 30-0.16
- Add 'LOGO' to os-release(5) for Fedora
- Enable the Docker daemon socket

* Tue Nov 27 2018 Peter Robinson <pbrobinson@fedoraproject.org> 30-0.15
- Add IoT config to fix policy around TPM2 requirements

* Thu Nov 15 2018 Jan Pazdziora <jpazdziora@redhat.com> - 30-0.14
- Fix the supplemental edition SWID tag, add the supplemental attribute.

* Sun Nov 11 2018 Stephen Gallagher <sgallagh@redhat.com> - 30-0.13
- Drop unneeded Requires(post) and Requires(postun) dependencies causing
  loops. The glib-compile-schemas dependency is now handled by file triggers
  and the systemd requirement was just completely erroneous.
- Also drop strict dependencies on edition packages. They are causing
  un-breakable dependency loops.

* Tue Oct 23 2018 Stephen Gallagher <sgallagh@redhat.com> - 30-0.12
- Convert to more maintainable implementation of variant-handling

* Thu Oct 11 2018 Jan Pazdziora <jpazdziora@redhat.com> 30-0.10
- Add edition supplemental .swidtag files, and amend convert-to-edition.lua
  to keep symlink to the correct one in sync with os-release.
- Produce distro-level SWID tag in /usr/lib/swidtag/fedoraproject.org.
- Enable ostree-finalize-staged.path

* Mon Sep 24 2018 Mohan Boddu <mboddu@bhujji.com> 30-0.9
- Enable the stratis daemon for managing stratis storage

* Fri Sep 14 2018 Mohan Boddu <mboddu@bhujji.com> 30-0.8
- Set cpi.service as enabled in the systemd presets
- Set device_cio_free service as enabled

* Mon Aug 27 2018 Stephen Gallagher <sgallagh@redhat.com> - 30-0.7
- Remove specialized handling for /etc/issue.
- Drop convert-to-edition script

* Fri Aug 24 2018 Matthew Miller <mattdm@fedoraproject.org> - 30-0.6
- add container
- add coreos
- add desktop spins

* Thu Aug 23 2018 Peter Robinson <pbrobinson@fedoraproject.org> 30-0.5
- Add Fedora IoT edition components

* Mon Aug 20 2018 Jun Aruga <jaruga@redhat.com> - 30-0.4
- Update dist macro to consider bootstrapping.

* Sat Aug 18 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 30-0.3
- Escape use of the distprefix macro, so it makes it into the macro
  file instead of being expanded in the spec.

* Wed Aug 15 2018 David Herrmann <dh.herrmann@gmail.com> - 30-0.2
- Enable dbus user units explicitly

* Tue Aug 14 2018 Mohan Boddu <mboddu@bhujji.com> - 30-0.1
- Setup for rawhide being f30

## END: Generated by rpmautospec
